/*
 *  Temporary Procedure Output
 *  by Tom Epperly
 *  Created: 1/10/90
 *  Version: $Revision: 1.5 $
 *  Version control file: $RCSfile: procio.h,v $
 *  Date last modified: $Date: 97/07/18 12:32:54 $
 *  Last modified by: $Author: mthomas $
 *
 *  This file is part of the Ascend Language Interpreter.
 *
 *  Copyright (C) 1990, 1993, 1994 Thomas Guthrie Epperly
 *
 *  The Ascend Language Interpreter is free software; you can redistribute
 *  it and/or modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, or (at your option) any later version.
 *
 *  The Ascend Language Interpreter is distributed in hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with the program; if not, write to the Free Software Foundation, Inc., 675
 *  Mass Ave, Cambridge, MA 02139 USA.  Check the file named COPYING.
 */

/*
 *  When #including procio.h, make sure these files are #included first:
 *         #include "compiler.h"
 *         #include "proc.h"
 */


#ifndef __PROCIO_H_SEEN__
#define __PROCIO_H_SEEN__
/* requires
# #include<stdio.h>
# #include"proc.h"
*/

extern void WriteProcedure(FILE *,struct InitProcedure *);
/*
 *  void WriteProcedure(f,p)
 *  FILE *f;
 *  struct InitProcedure *p;
 *  Write the procedure to the file.
 */
#endif /* __PROCIO_H_SEEN__ */
